# Generated by Django 4.1.5 on 2023-01-10 19:40

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("invites", "0008_recipient_email_sent_recipient_email_sent_time"),
    ]

    operations = [
        migrations.CreateModel(
            name="GatheringInvitation",
            fields=[
                (
                    "invitation_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="invites.invitation",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("invites.invitation",),
        ),
        migrations.CreateModel(
            name="WeddingInvitation",
            fields=[
                (
                    "invitation_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="invites.invitation",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("invites.invitation",),
        ),
    ]
